---
search:
  tags:
    - Wallets
    - GET
seo:
  description: >-
    Get a wallet. Reference for the GET /wallets/{id} endpoint in the Bolder API
    v2.
sidebar:
  label: Get a wallet
  badge: GET
title: Get a wallet
type: openapi-operation
---
`GET /wallets/{id}`

**Responses**

- `200` — The wallet

Response example, 200:

```json
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "type": "points",
  "name": "string",
  "state": "active",
  "balance": 0,
  "contact_id": 0,
  "program_id": 0,
  "consented": true,
  "limit_amount": 0,
  "overdue_limit_amount": 0,
  "loan_term": "string",
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}
```
